//+------------------------------------------------------------------+
//|                                                    15M-GL EA.mq4 |
//|                                                                  |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright "23510"
#property link      ""

extern double LotSize = 0.1;
extern int StopLoss =250;
extern int TakeProfit =10;
extern int TrailingStop =35;
extern int EMA_DIST = 10;
extern int Magic = 717171;

int start(){
//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
//=======================  DECLARED VARIABLES  ======================//
//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//

   static int liTime =0;
   double total = OrdersTotal();
   int ticket,cct;
   
   if(Bars<100) {
      Print("bars less than 100");
      return(0);  
   }
   if(Volume[0]==1 && total==0){
      if(AccountFreeMargin()<(1000*LotSize)) {
         Print("Not enough money to trade , free margin = ",AccountFreeMargin());
         return(0);
      }

      

 

//------------------------------------------------------------------//
//'''''''''''''''''''''''  MOVING AVERAGES  ''''''''''''''''''''''''//
//------------------------------------------------------------------//

   double fma   = iMA(Symbol(),PERIOD_H1,5,0,MODE_EMA,PRICE_CLOSE,0); // 5 EMA
   double pfma  = iMA(Symbol(),PERIOD_H1,5,0,MODE_EMA,PRICE_CLOSE,1);
   double tma   = iMA(Symbol(),PERIOD_H1,3,3,MODE_EMA,PRICE_CLOSE,0); // 3 EMA
   double ptma  = iMA(Symbol(),PERIOD_H1,3,3,MODE_EMA,PRICE_CLOSE,1);

   double tfma  = iMA(Symbol(),PERIOD_M15,25,0,MODE_SMA,PRICE_CLOSE,0); // 25 SMA on 15min TF
   double ptfma = iMA(Symbol(),PERIOD_M15,25,0,MODE_SMA,PRICE_CLOSE,1);  

//------------------------------------------------------------------//
//'''''''''''''''''''''''  CUSTOM INDICATORS  ''''''''''''''''''''''//
//------------------------------------------------------------------//

   double mpl   = iCustom(NULL,0,"MPi-TL",1,0.618,0,0); // Custom MPi-TL indicator

//------------------------------------------------------------------//
//'''''''''''''''''''''''  ALLIGATOR INDICATOR  ''''''''''''''''''''//
//------------------------------------------------------------------//

   double j = iAlligator(NULL,0,25,8,15,5,9,3,MODE_SMMA,PRICE_MEDIAN,MODE_GATORJAW,0);
   double t = iAlligator(NULL,0,25,8,15,5,9,3,MODE_SMMA,PRICE_MEDIAN,MODE_GATORTEETH,0);
   double l = iAlligator(NULL,0,25,8,15,5,9,3,MODE_SMMA,PRICE_MEDIAN,MODE_GATORLIPS,0);

//------------------------------------------------------------------//
//''''''''''''''''''''  HIGHEST HIGHS & LOWEST LOWS  '''''''''''''''//
//------------------------------------------------------------------//

   double hh = High[iHighest(NULL,PERIOD_M15,MODE_HIGH,1,0)];
   double ll = Low[iLowest(NULL,PERIOD_M15,MODE_LOW,1,0)];

 
//==================================================================// 
//--------------------------- ENTRY POINTS -------------------------//
//==================================================================//
                     
   double b = EMA_DIST*Point; // Must enter trades 10 pips higher or lower than highest high or lowest low //
   double bh = hh+bh;  // bh = Buy Higher
   double sl = ll-sl;  // sl = Sell Lower
  
//------------------------------------------------------------------//
//<<<<<<<<<<<<<<<<<<<<<<<  PRE-TRADE CHECK  >>>>>>>>>>>>>>>>>>>>>>>>//
//------------------------------------------------------------------//

   

//------------------------------------------------------------------//
//////////////////////// ENRTRY CRITERIA /////////////////////////////
//------------------------------------------------------------------//   
   
      // BUY CRITERIA     
      if(ptma>pfma && tma<fma && Close[2]>tfma && Close[1]>tfma && Close[2]>j && Close[1]>j && Close[2]>t && Close[1]>t && Close[2]>l && Close[1]>l && Close[2]>mpl &&Close[1]>mpl && Ask>bh){
         ticket = OrderSend(Symbol(),OP_BUY,LotSize,Ask,3,Ask-StopLoss*Point,Ask+TakeProfit*Point,"15M-GL",Magic,0,Green);
         if(ticket>0) {
            if(OrderSelect(ticket,SELECT_BY_TICKET,MODE_TRADES)) {
              // Print("BUY order opened : ",OrderOpenPrice());
            }
         } else {
           // Print("Error opening BUY order : ",GetLastError());
         }
         return(0); 
      }
      // SELL CRITERIA  
      if(ptma>pfma && tma<fma && Close[2]<tfma && Close[1]<tfma && Close[2]<j){
         Print("SELL CRITERIA met a");
      }
      if(Close[1]<j && Close[2]<t && Close[1]<t && Close[2]<l && Close[1]<l ){
         Print("SELL CRITERIA met b");
      } 
      if (Close[2]<mpl && Close[1]<mpl ){
         Print("SELL CRITERIA met c");
      }  
      if(ptma<pfma && tma>fma && Close[2]<tfma && Close[1]<tfma && Close[2]<j && Close[1]<j && Close[2]<t && Close[1]<t && Close[2]<l && Close[1]<l && Close[2]<mpl && Close[1]<mpl ){//&& Bid<sl
         Print("SELL CRITERIA met all");
         ticket = OrderSend(Symbol(),OP_SELL,LotSize,Bid,3,Bid+StopLoss*Point,Bid-TakeProfit*Point,"15M-GL",Magic,0,Red);
         if(ticket>0){
            if(OrderSelect(ticket,SELECT_BY_TICKET,MODE_TRADES)){
              // Print("SELL order opened : ",OrderOpenPrice());
            }
         } else 
         {
          Print("Error opening SELL order : ",GetLastError());
         }
         return(0); 
      }         
       
       
    
        
    
   }
   return(0);
}
//+------------------------------------------------------------------+